Subject: Re: [PATCH net-next 1/3] net: ethtool: add support for forward error correction modes

From: Andrew Lunn <[email-masked]>
Date: Fri, 7 Jul 2017 02:56:01 +0200

> If you choose to think of a cable unplug/plug event as "hot plug", then
> the "reset" is the model that feels right.  But I'll note that this is also
> presupposing what the right model is for users.  This is akin
> to trying to decide what to make for dinner and deciding that a
> hammer is the right tool.  If we end up deciding on Cracked
> Crab (or Tree Nuts for the vegans amongst us), then the
> hammer is quite possibly a good answer.

It also depends on the chef. A skilled chef knows how to use and abuse
a hammer and can make quite good filo pastry using a hammer if need
be.

And when we are talking about SFP modules, we are not talking about
somebody who can just about boiling an egg and put bread in the
toaster.

Anybody using these SFP modules knows a lot about networking, is a
power user, and probably does not rely on plug and pray.

      Andrew